$ErrorActionPreference = 'Stop';

$packageName = 'MobaXTerm'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'http://download.mobatek.net/10220170312132617/MobaXterm_Installer_v10.2.zip'
$url64      = 'http://download.mobatek.net/10220170312132617/MobaXterm_Installer_v10.2.zip'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  url           = $url
  url64bit      = $url64

  checksum      = '2cc08862f2333c670f98c13bdfd713f81555e6b75151d98249f83b1eb963d507'
  checksumType  = 'sha256'
  checksum64    = '2cc08862f2333c670f98c13bdfd713f81555e6b75151d98249f83b1eb963d507'
  checksumType64= 'sha256'
}

Install-ChocolateyZipPackage @packageArgs

$packageArgs = @{
  packageName   = $packageName
  fileType      = 'MSI'
  file          = Join-Path $toolsDir 'MobaXterm_installer.msi'
  file64        = Join-Path $toolsDir 'MobaXterm_installer.msi'

  silentArgs    = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyInstallPackage @packageArgs
